package danielcortes.xyz.models.caja;

import java.time.LocalDate;
import java.util.Objects;

public class Caja {
  public final static Caja EMPTY = new Caja();

  private int id;
  private LocalDate fecha;
  private int fondo;

  public Caja(){

  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public LocalDate getFecha() {
    return fecha;
  }

  public void setFecha(LocalDate fecha) {
    this.fecha = fecha;
  }

  public int getFondo() {
    return fondo;
  }

  public void setFondo(int fondo) {
    this.fondo = fondo;
  }

  @Override
  public String toString() {
    return "Caja{" +
        "id=" + id +
        ", fecha=" + fecha +
        ", fondo=" + fondo +
        '}';
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof Caja)) {
      return false;
    }
    Caja caja = (Caja) o;
    return id == caja.id &&
        fondo == caja.fondo &&
        Objects.equals(fecha, caja.fecha);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, fecha, fondo);
  }
}
